RPC.MOUNTD(8)

NOM
rpc.mountd - Démon de montage sur serveur NFS

SYNOPSIS
/usr/sbin/rpc.mountd [options]

DESCRIPTION
Le programme rpc.mountd implémente le protocole de montage au sein d'un serveur NFS. Quand ce démon reçoit, d'un client, une requête de type MOUNT (demande de montage), il vérifie cette requête grâce à la liste des répertoires exportés. Si le client est autorisé à utiliser cette ressource, rpc.mountd récupère un descripteur de fichier pour le répertoire demandé et le retourne au client.

  Exporter une ressource via NFS
Rendre disponible une ressource via NFS s'appelle exporter.

Normalement, la liste des ressources, chacune associée à la liste des clients autorisés à les utiliser, se trouve dans le fichier /etc/exports. Cette liste est lue au démarrage du système par la commande exportfs -a. La commande exportfs(8) permet de fournir ces informations au module serveur NFS du noyau et au démon rpc.mountd.

De plus, il est possible d'exporter, à la volée, un répertoire par la commande exportfs hôte:répertoire.

  Le fichier rmtab
Chaque requête de montage reçue est inscrite par rpc.mountd dans le fichier /var/lib/nfs/rmtab. Lorsqu'une requête de démontage est reçue, l'entrée correspondante est enlevée.

Cependant, ce fichier n'est pas très utile. D'une part, le client peut continuer à utiliser le descripteur de fichier même après avoir émis une requête de type UMOUNT (démontage). D'autre part, si le client redémarre sans lancer une requête de démontage, une entrée fantôme reste dans le fichier rmtab.

OPTIONS

-d, --debug mot-clé
    Activer le mode de recherche de bogues. Les mots-clés possibles sont : all, auth, call, general et parse.

-F, --foreground
    Exécution en avant-plan (ne s'exécute donc pas comme un démon).

-f, --exports-file
    Cette option indique le fichier « exports » à utiliser. Par défaut, le fichier exploité est /etc/exports. Ce fichier indique, pour chaque ressource, la liste des clients autorisés ainsi que les paramètres de montage. Voir exports(5).

-h, --help
    Afficher le synopsis de rpc-mountd.

-o, --descriptors nombre
    Définir le nombre maximal (en centaine) de fichiers qu'il est possible d'ouvrir simultanément. Par défaut, la limite n'est pas fixée.

-N, --no-nfs-version
    Cette option peut être utilisée pour indiquer que certaines versions de NFS ne sont pas supportées par le serveur. La version actuelle de rpc.mountd supporte la version 2 et la version 3. Si le module noyau a été compilé sans le support de NFSv3, alors rpc.mountd doit être lancé avec l'option --no-nfs-version 3.

-n, --no-tcp
    Ne pas annoncer le protocole TCP comme disponible pour le montage.

-P  Ignoré (compatibilité avec unfsd ?).

-p, --port nombre
    Forcer rpc.mountd à utiliser un port spécifique au lieu du port aléatoire fourni par le « portmapper ».

-H, --ha-callout programme
    Indiquer le programme de haute disponibilité qui recevra toutes les requêtes de montage et de démontage provenant des clients. Cela permet à rpc.statd d'être utilisé dans un environnement NFS haute disponibilité (HA-NFS). Cet appel n'est pas nécessaire (et ne devrait pas être fait) avec les noyaux 2.6 et suivants. Au lieu de cela, il faut monter la ressource nfsd sur /proc/fs/nfsd. Le programme sera invoqué avec quatre arguments : le premier sera mount ou unmount suivant la requête émise par le client. Le second sera le nom du client, auteur de la requête. Le troisième sera la ressource demandée par le client. Le dernier sera le nombre d'accès concurrents que le client semble posséder sur la ressource.

-P, --state-directory-path répertoire
    Indiquer le répertoire où seront placées les informations sur l'état de statd. Le répertoire par défaut est /var/lib/nfs.

-r, --reverse-lookup
    mountd recherche les adresses IP dans rmtab, et lorsqu'une requête DUMP est effectuée (si quelqu'un lance showmount -a, par exemple), ce sont les adresses IP qui sont renvoyées plutôt que les noms d'hôtes par défaut. L'activation de cette option force mountd à effectuer une recherche inverse sur chaque adresse IP et à renvoyer le nom d'hôte. Cela peut entraîner une dégradation importante des performances selon les cas de figure.

-t nombre, --num-threads=nombre
    Cette option indique le nombre de processus (« threads ») engendrés par rpc-mountd. La valeur par défaut est d'un seul processus, ce qui est le plus souvent suffisant. Augmenter le nombre de processus n'est, en principe, nécessaire que lorsque le serveur est submergé par des centaines de requêtes de montage NFS en quelques secondes, ou lorsque votre serveur DNS est lent ou non fiable.

-V, --nfs-version nombre
    Cette option permet d'indiquer au serveur la version de NFS qu'il doit prendre en charge. La version actuelle de rpc.mountd peut supporter les versions 2 et 3.

-v, --version
    Afficher la version de rpc.mountd et quitter.

-g or --manage-gids
    Accepter des requêtes du noyau pour assigner des identifiants numériques d'utilisateurs dans une liste d'identifiants numériques de groupes dans le but de gérer les contrôles d'accès. Une requête NFS contient habituellement (sauf lors de l'utilisation de Kerberos ou d'un autre système d'identification chiffré) un identifiant d'utilisateur et une liste d'identifiants de groupe. 16 groupes au maximum peuvent être listés, à cause de restrictions du protocole NFS. En cas d'utilisation de l'option -g, la liste des identifiants de groupes reçue du client sera remplacée par une liste d'identifiants de groupes déterminée par une recherche appropriée sur le serveur. Notez que le groupe «\ primaire\ » n'est pas modifié, ce qui permet à la commande newgroup de toujours fonctionner sur le client. Cette fonction impose une version du noyau supérieure ou égale à 2.6.21.

SUPPORT DE TCP_WRAPPERS
Cette version de rpc.mountd est protégée par le tcp_wrapper. Il est donc nécessaire de spécifier les clients autorisés à invoquer rpc.mountd. Par exemple, pour autoriser tous les clients du réseau 192.168.1.0/24 à invoquer rpc.mountd, on doit insérer les lignes suivantes dans /etc/hosts.allow : mountd: 192.168.1. On doit utiliser le nom du démon mountd bien que le fichier binaire ait un nom différent (en l'occurrence rpc.mountd). Pour indiquer les clients, on ne peut utiliser que le mot-clé « ALL » ou des adresses IP. Il n'est donc pas possible d'utiliser ni des noms de clients, ni des noms de domaine. (Voir hosts.allow.) Pour avoir plus d'informations, jetez un oeil sur les pages de manuel de tcpd(8) et hosts_access(5).

FICHIERS
/etc/exports, /var/lib/nfs/xtab.

AUTEUR
Olaf Kirch, H. J. Lu, G. Allan Morris III et plein d'autres.

VOIR AUSSI
rpc.nfsd(8), exportfs(8), exports(5), rpc.rquotad(8)

TRADUCTION

Ce document est une traduction réalisée par Philippe Lefebvre en janvier 2003, mise à jour par Valery Perrin <valery DOT perrin DOT debian AT free DOT fr> le 30 septembre 2006 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 mountd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.